> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goaura.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a listing

Updates the specific listing by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

#### Parameters

**currency** `enum`

Three-letter ISO currency code, in lowercase.\\

Required if any one of `cost`, `minimum_price`, `maximum_price`, or `manual_price` are provided. Must match the currency of the listing. In a future release, we will support currency conversion from any provided currency to the listing currency with our foreign exchange rate data.

**cost** `nullable integer`

The cost of a single unit in cents (in the currency specified) of the listing.

**minimum\_price** `nullable integer`

The minimum price in cents (in the currency specified) of the listing.
Inclusive of shipping price for Amazon listings.

**maximum\_price** `nullable integer`

The maximum price in cents (in the currency specified) of the listing.
Inclusive of shipping price for Amazon listings.

**strategy** `nullable string`

The ID of the repricing strategy assigned to the listing.

**repricing** `boolean`

The value `true` to enable repricing by Aura for this listing or the
value `false` to disable repricing.

**manual\_price** `nullable integer`

The manual price in cents (in the currency specified) that Aura will enforce
on repriceable listings. Will have no effect on non-repriceable listings, i.e.
`repricing` is `false`, `minimum_price` is unset or incalculable (if using
profit-based minimum pricing and cost or fees are unavailable), or current
shipping is unavailable. Manual price is inclusive of shipping price for
Amazon listings.\
\\

Note: Updating the price of a listing is an asynchronous process. Expect the
current price and shipping to reflect the manual price after 30 seconds to 3
minutes.

```bash POST /listings/:id theme={null}
  curl -G https://api.goaura.com/listings/0195b630-49ab-77ca-a2e8-5a7f3235f946 \
    -u "sk_2ubjfjUcF0z6lcFio24TC1D9xUa:" \
    -d currency=usd \
    -d cost=2169
```

#### Returns

The updated listing object is returned upon success. Otherwise, this call returns [an error](https://docs.goaura.com/api-reference/errors.md).

```json RESPONSE theme={null}
{
  "id": "0195b630-49ab-77ca-a2e8-5a7f3235f946",
  "object": "listing",
  "platform": "amazon",
  "channel": "f70a0f0d-48e1-4466-8f4c-32747b395de9",
  "status": "active",
  "sku": "SAMPLE-SKU",
  "currency": "usd",
  "current_price": 7405,
  "current_shipping": 0,
  "cost": 2169,
  "minimum_price": 7299,
  "maximum_price": 7999,
  "strategy": "c38970b9-bbf4-4288-a18b-b8bd1de4fbb7",
  "repricing": true,
  "manual_price": null,
  "created": 1662738023
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.